part of ui_ex;

extension DataTableColumEx on List<DataColumn> {
  DataTable dataTable({
    Key? key,
    required List<DataColumn> columns,
    int? sortColumnIndex,
    bool sortAscending = true,
    void Function(bool?)? onSelectAll,
    Decoration? decoration,
    MaterialStateProperty<Color?>? dataRowColor,
    double? dataRowHeight,
    TextStyle? dataTextStyle,
    MaterialStateProperty<Color?>? headingRowColor,
    double? headingRowHeight,
    TextStyle? headingTextStyle,
    double? horizontalMargin,
    double? columnSpacing,
    bool showCheckboxColumn = true,
    bool showBottomBorder = false,
    double? dividerThickness,
    required List<DataRow> rows,
    double? checkboxHorizontalMargin,
  }) =>
      DataTable(
        columns: this,
        rows: rows,
        key: key,
        sortColumnIndex: sortColumnIndex,
        sortAscending: sortAscending,
        onSelectAll: onSelectAll,
        decoration: decoration,
        dataRowColor: dataRowColor,
        dataRowHeight: dataRowHeight,
        dataTextStyle: dataTextStyle,
        headingRowColor: headingRowColor,
        headingRowHeight: headingRowHeight,
        headingTextStyle: headingTextStyle,
        horizontalMargin: horizontalMargin,
        columnSpacing: columnSpacing,
        showCheckboxColumn: showCheckboxColumn,
        showBottomBorder: showBottomBorder,
        dividerThickness: dividerThickness,
        checkboxHorizontalMargin: checkboxHorizontalMargin,
      );
}

extension DataTableRowEx on List<DataRow> {
  DataTable dataTable({
    Key? key,
    required List<DataColumn> columns,
    int? sortColumnIndex,
    bool sortAscending = true,
    void Function(bool?)? onSelectAll,
    Decoration? decoration,
    MaterialStateProperty<Color?>? dataRowColor,
    double? dataRowHeight,
    TextStyle? dataTextStyle,
    MaterialStateProperty<Color?>? headingRowColor,
    double? headingRowHeight,
    TextStyle? headingTextStyle,
    double? horizontalMargin,
    double? columnSpacing,
    bool showCheckboxColumn = true,
    bool showBottomBorder = false,
    double? dividerThickness,
    required List<DataRow> rows,
    double? checkboxHorizontalMargin,
  }) =>
      DataTable(
        columns: columns,
        rows: this,
        key: key,
        sortColumnIndex: sortColumnIndex,
        sortAscending: sortAscending,
        onSelectAll: onSelectAll,
        decoration: decoration,
        dataRowColor: dataRowColor,
        dataRowHeight: dataRowHeight,
        dataTextStyle: dataTextStyle,
        headingRowColor: headingRowColor,
        headingRowHeight: headingRowHeight,
        headingTextStyle: headingTextStyle,
        horizontalMargin: horizontalMargin,
        columnSpacing: columnSpacing,
        showCheckboxColumn: showCheckboxColumn,
        showBottomBorder: showBottomBorder,
        dividerThickness: dividerThickness,
        checkboxHorizontalMargin: checkboxHorizontalMargin,
      );
}
